import jaggl.OpenGL;

public class Class141_Sub9 extends Class141 {

   static final char aChar9962 = '\u0000';
   static final char aChar9963 = '\u0001';
   Class149 aClass149_9964;
   Class135 aClass135_9965;
   static float[] aFloatArray9966 = new float[4];


   void method2637(boolean var1) {}

   boolean method2633() {
      return true;
   }

   void method2625(boolean var1) {
      this.aClass149_9964.method2737('\u0000');
      if(this.aClass135_9965.aBool1583) {
         this.aClass545_Sub1_1628.method14641(1);
         this.aClass545_Sub1_1628.method14725(this.aClass135_9965.aClass147_Sub2_1587);
         this.aClass545_Sub1_1628.method14641(0);
      }

   }

   void method2627(int var1, int var2) {
      float var3 = -5.0E-4F * (float)((var1 & 3) + 1);
      float var4 = 5.0E-4F * (float)((var1 >> 3 & 3) + 1);
      float var5 = (var1 & 64) == 0?4.8828125E-4F:9.765625E-4F;
      boolean var6 = (var1 & 128) != 0;
      this.aClass545_Sub1_1628.method14641(1);
      if(var6) {
         aFloatArray9966[0] = var5;
         aFloatArray9966[1] = 0.0F;
         aFloatArray9966[2] = 0.0F;
         aFloatArray9966[3] = 0.0F;
      } else {
         aFloatArray9966[0] = 0.0F;
         aFloatArray9966[1] = 0.0F;
         aFloatArray9966[2] = var5;
         aFloatArray9966[3] = 0.0F;
      }

      OpenGL.glTexGenfv(8192, 9474, aFloatArray9966, 0);
      aFloatArray9966[0] = 0.0F;
      aFloatArray9966[1] = var5;
      aFloatArray9966[2] = 0.0F;
      aFloatArray9966[3] = (float)this.aClass545_Sub1_1628.anInt9158 * var3 % 1.0F;
      OpenGL.glTexGenfv(8193, 9474, aFloatArray9966, 0);
      if(!this.aClass135_9965.aBool1583) {
         int var7 = (int)(var4 * (float)this.aClass545_Sub1_1628.anInt9158 * 16.0F);
         this.aClass545_Sub1_1628.method14725(this.aClass135_9965.aClass147_Sub4Array1586[var7 % 16]);
      } else {
         aFloatArray9966[0] = 0.0F;
         aFloatArray9966[1] = 0.0F;
         aFloatArray9966[2] = 0.0F;
         aFloatArray9966[3] = (float)this.aClass545_Sub1_1628.anInt9158 * var4 % 1.0F;
         OpenGL.glTexGenfv(8194, 9473, aFloatArray9966, 0);
      }

      this.aClass545_Sub1_1628.method14641(0);
   }

   void method2630() {
      this.aClass149_9964.method2737('\u0001');
      this.aClass545_Sub1_1628.method14641(1);
      this.aClass545_Sub1_1628.method14725((Class147)null);
      this.aClass545_Sub1_1628.method14641(0);
   }

   Class141_Sub9(Class545_Sub1 var1, Class135 var2) {
      super(var1);
      this.aClass135_9965 = var2;
      this.aClass149_9964 = new Class149(var1, 2);
      this.aClass149_9964.method2735(0);
      this.aClass545_Sub1_1628.method14641(1);
      if(this.aClass135_9965.aBool1583) {
         OpenGL.glTexGeni(8194, 9472, 9217);
         OpenGL.glEnable(3170);
      }

      OpenGL.glTexGeni(8192, 9472, 9216);
      OpenGL.glTexGeni(8193, 9472, 9216);
      OpenGL.glEnable(3168);
      OpenGL.glEnable(3169);
      this.aClass545_Sub1_1628.method14641(0);
      this.aClass149_9964.method2736();
      this.aClass149_9964.method2735(1);
      this.aClass545_Sub1_1628.method14641(1);
      if(this.aClass135_9965.aBool1583) {
         OpenGL.glDisable(3170);
      }

      OpenGL.glDisable(3168);
      OpenGL.glDisable(3169);
      this.aClass545_Sub1_1628.method14641(0);
      this.aClass149_9964.method2736();
   }

   void method2628(Class147 var1, int var2) {
      this.aClass545_Sub1_1628.method14725(var1);
      this.aClass545_Sub1_1628.method14591(var2);
   }

   boolean method2629() {
      return true;
   }

   boolean method2626() {
      return true;
   }

   void method2623() {
      this.aClass149_9964.method2737('\u0001');
      this.aClass545_Sub1_1628.method14641(1);
      this.aClass545_Sub1_1628.method14725((Class147)null);
      this.aClass545_Sub1_1628.method14641(0);
   }

   void method2636(boolean var1) {}

   void method2639(int var1, int var2) {
      float var3 = -5.0E-4F * (float)((var1 & 3) + 1);
      float var4 = 5.0E-4F * (float)((var1 >> 3 & 3) + 1);
      float var5 = (var1 & 64) == 0?4.8828125E-4F:9.765625E-4F;
      boolean var6 = (var1 & 128) != 0;
      this.aClass545_Sub1_1628.method14641(1);
      if(var6) {
         aFloatArray9966[0] = var5;
         aFloatArray9966[1] = 0.0F;
         aFloatArray9966[2] = 0.0F;
         aFloatArray9966[3] = 0.0F;
      } else {
         aFloatArray9966[0] = 0.0F;
         aFloatArray9966[1] = 0.0F;
         aFloatArray9966[2] = var5;
         aFloatArray9966[3] = 0.0F;
      }

      OpenGL.glTexGenfv(8192, 9474, aFloatArray9966, 0);
      aFloatArray9966[0] = 0.0F;
      aFloatArray9966[1] = var5;
      aFloatArray9966[2] = 0.0F;
      aFloatArray9966[3] = (float)this.aClass545_Sub1_1628.anInt9158 * var3 % 1.0F;
      OpenGL.glTexGenfv(8193, 9474, aFloatArray9966, 0);
      if(!this.aClass135_9965.aBool1583) {
         int var7 = (int)(var4 * (float)this.aClass545_Sub1_1628.anInt9158 * 16.0F);
         this.aClass545_Sub1_1628.method14725(this.aClass135_9965.aClass147_Sub4Array1586[var7 % 16]);
      } else {
         aFloatArray9966[0] = 0.0F;
         aFloatArray9966[1] = 0.0F;
         aFloatArray9966[2] = 0.0F;
         aFloatArray9966[3] = (float)this.aClass545_Sub1_1628.anInt9158 * var4 % 1.0F;
         OpenGL.glTexGenfv(8194, 9473, aFloatArray9966, 0);
      }

      this.aClass545_Sub1_1628.method14641(0);
   }

   void method2634(int var1, int var2) {
      float var3 = -5.0E-4F * (float)((var1 & 3) + 1);
      float var4 = 5.0E-4F * (float)((var1 >> 3 & 3) + 1);
      float var5 = (var1 & 64) == 0?4.8828125E-4F:9.765625E-4F;
      boolean var6 = (var1 & 128) != 0;
      this.aClass545_Sub1_1628.method14641(1);
      if(var6) {
         aFloatArray9966[0] = var5;
         aFloatArray9966[1] = 0.0F;
         aFloatArray9966[2] = 0.0F;
         aFloatArray9966[3] = 0.0F;
      } else {
         aFloatArray9966[0] = 0.0F;
         aFloatArray9966[1] = 0.0F;
         aFloatArray9966[2] = var5;
         aFloatArray9966[3] = 0.0F;
      }

      OpenGL.glTexGenfv(8192, 9474, aFloatArray9966, 0);
      aFloatArray9966[0] = 0.0F;
      aFloatArray9966[1] = var5;
      aFloatArray9966[2] = 0.0F;
      aFloatArray9966[3] = (float)this.aClass545_Sub1_1628.anInt9158 * var3 % 1.0F;
      OpenGL.glTexGenfv(8193, 9474, aFloatArray9966, 0);
      if(!this.aClass135_9965.aBool1583) {
         int var7 = (int)(var4 * (float)this.aClass545_Sub1_1628.anInt9158 * 16.0F);
         this.aClass545_Sub1_1628.method14725(this.aClass135_9965.aClass147_Sub4Array1586[var7 % 16]);
      } else {
         aFloatArray9966[0] = 0.0F;
         aFloatArray9966[1] = 0.0F;
         aFloatArray9966[2] = 0.0F;
         aFloatArray9966[3] = (float)this.aClass545_Sub1_1628.anInt9158 * var4 % 1.0F;
         OpenGL.glTexGenfv(8194, 9473, aFloatArray9966, 0);
      }

      this.aClass545_Sub1_1628.method14641(0);
   }

   void method2631(boolean var1) {
      this.aClass149_9964.method2737('\u0000');
      if(this.aClass135_9965.aBool1583) {
         this.aClass545_Sub1_1628.method14641(1);
         this.aClass545_Sub1_1628.method14725(this.aClass135_9965.aClass147_Sub2_1587);
         this.aClass545_Sub1_1628.method14641(0);
      }

   }

   void method2635(Class147 var1, int var2) {
      this.aClass545_Sub1_1628.method14725(var1);
      this.aClass545_Sub1_1628.method14591(var2);
   }

   void method2632() {
      this.aClass149_9964.method2737('\u0001');
      this.aClass545_Sub1_1628.method14641(1);
      this.aClass545_Sub1_1628.method14725((Class147)null);
      this.aClass545_Sub1_1628.method14641(0);
   }

   void method2638(boolean var1) {}

   void method2624(boolean var1) {}
}
